<div class="row">
  <div class="col-md-12">

    <nb-card class="inline-form-card">
      <nb-card-header>Alarme</nb-card-header>
      <nb-card-body>
        <form class="form-inline" [formGroup]="addAlarmForm" (ngSubmit)="onSubmit()">
          <input type="text" nbInput fullWidth placeholder="Descrição" formControlName="description">
          
          <nb-select fullWidth placeholder="Equipamento" formControlName="_equipmentId">
            <nb-option [value]="equipment._id" *ngFor="let equipment of equipments">
              {{ equipment.name }}
            </nb-option>
          </nb-select>

          <nb-select fullWidth placeholder="Classificação" formControlName="classification">
            <nb-option [value]="classific" *ngFor="let classific of classifications">
              {{ classific }}
            </nb-option>
          </nb-select>

          <button type="submit" nbButton status="primary" [disabled]="!addAlarmForm.valid">Salvar</button>
        </form>
      </nb-card-body>
    </nb-card>

    <nb-card class="inline-form-card">
      <nb-card-header>Alarmes</nb-card-header>
      <nb-card-body>
        <table class="table"> 
          <thead>
            <th class="text-center align-middle">ID</th>
            <th class="text-center align-middle">Descrição</th>
            <th class="text-center align-middle">Classificação</th>
            <th class="text-center align-middle">Equipamento</th>
            <th class="text-center align-middle">Data de Criação</th>
            <th class="text-center align-middle">Última alteração</th>
            <th class="text-center align-middle">#</th>
          </thead>
          <tbody>
            <tr *ngFor="let alarm of alarms">
              <td class="text-center align-middle">{{ alarm._id }}</td>
              <td class="text-center align-middle">{{ alarm.description }}</td>
              <td class="text-center align-middle">{{ alarm.classification }}</td>
              <td class="text-center align-middle">{{ alarm.equipment.name }}</td>
              <td class="text-center align-middle">{{ alarm.creationDate }}</td>
              <td class="text-center align-middle">{{ alarm.lastUpdate }}</td>
              <td class="text-center align-middle">
                <button type="button" nbButton status="primary" (click)="delete(alarm)">Deletar</button>
              </td>
            </tr>
          </tbody>
        </table>
      </nb-card-body>
    </nb-card>
  </div>
</div>